---
title: Create / Update MaterialType
slug: create-update-materialtype
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "NYuAETws1grra5iULOjkE",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/material_types",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/material_types"
      }
    ],
    "name": "Create / Update MaterialType",
    "description": "This enpoint allows to create or update material type.\n\nIf you want to update Material Type using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "tXPCXBrq_ZJMnoi_6n1oQ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/material_types \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\"\n     }'"
        },
        {
          "id": "4IFsDzCbDT6RsdQekekFk",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/material_types\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "EJk-yFwkcFGOvwGKSMmRP",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/material_types\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "wISP5byS3D5wW4of9WF1i",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/material_types\"\n\npayload = json.dumps({\n   \"title\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "tXPCXBrq_ZJMnoi_6n1oQ"
    },
    "results": {
      "languages": [
        {
          "id": "Sox-sJOcFznva10_MGFeB",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "uRSLXKlpRqsS7eTviheCS",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "Sox-sJOcFznva10_MGFeB"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}